Bug 20338 - Explicitly specify whether initData is required for Clear Key
Summary: Explicitly specify whether initData is required for Clear Key
Status: RESOLVED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: Encrypted Media Extensions (show other bugs)
Version: unspecified
Hardware: All All
: P3 normal
Target Milestone: ---
Assignee: David Dorwin
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on: 20691
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 07:25 UTC by David Dorwin
Modified: 2013-05-24 23:39 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Dorwin 2012-12-11 07:25:21 UTC
The type and initData parameters to createSession() are optional [1]. The Clear Key section [2] says what initData should be but not whether it is required. This section should explicitly state that it is required or optional.

While there is no real reason to require it, it may make implementations easier if they can just return an error immediately rather than having to implement handle the case where initData is not provided. In addition, Clear Key is unlikely to be used in scenarios where initData may not be desired. The only real use case would seem to be to create a session without any knowledge of the media and then immediately call addKey() with a key, possibly without contacting a server.

See also bug 19810, which proposes requiring key IDs, which are related to initData, in the licenses provided to addKey().

To be most compatible, maybe the text should say initData is required for containers that support it.

[1] http://dvcs.w3.org/hg/html-media/raw-file/tip/encrypted-media/encrypted-media.html#dom-createsession
[2] http://dvcs.w3.org/hg/html-media/raw-file/tip/encrypted-media/encrypted-media.html#simple-decryption-clear-key
Comment 1 David Dorwin 2013-04-23 20:31:12 UTC
As agreed in the the February 5th telecon, initData will be required for Clear Key.
Comment 2 David Dorwin 2013-05-06 23:55:53 UTC
This is moot if we decide that initData is always required (issue 20691).
Comment 3 David Dorwin 2013-05-24 23:39:45 UTC
Bug 20691 was resolved by making both createSession() parameters required. Thus, this is no longer an issue.